import java.util.Calendar;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.reportorganizer.organizerAPI.QbOrganizer;
import quadbase.reportorganizer.organizerAPI.QbScheduleObject;
import quadbase.reportorganizer.organizerAPI.QbSchedulePackage;

public class SchedulingExportReportPeriodicallyERES {
	// set following constants, your ERES server must be runnning!
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "ERES/servlet";

	public static void main(String[] args) {
		SchedulingExportReportPeriodicallyERES doScheduleExport = new SchedulingExportReportPeriodicallyERES();
		try {
			doScheduleExport.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		QbOrganizer.setServletContext(ServletContext);
		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

		QbSchedulePackage sPack = new QbSchedulePackage("Report_Periodically", organizer);
		sPack.setReportExportType(IExportConstants.DHTML);
		sPack.setTaskOption(QbSchedulePackage.TIME_INTERVAL);

		/*** every 5 mins ****/
		sPack.setIntervalType(QbSchedulePackage.TIME);
		sPack.setTimeInterval(5); // export every 5 mins

		/*** every day ****/
		//sPack.setIntervalType(QbSchedulePackage.DAYS);
		//sPack.setDayInterval(1); // export everyday

		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 5);
		sPack.setStartDate(calendar.getTimeInMillis());
		Calendar calendar2 = Calendar.getInstance();
		calendar2.add(Calendar.MINUTE, 26);
		sPack.setEndDate(calendar2.getTimeInMillis());
		sPack.setSendEmail(false);

		QbScheduleObject sObj = new QbScheduleObject("report1",
				QbScheduleObject.TEMPLATE_TYPE_REPORT, sPack);
		sObj.setFileLocation("Account.rpt");
		String exportLocation = sObj.pickDefaultExportLocation();

		organizer.getScheduler().addSchedulePackageTask(sPack);
	}
}
